## ironic 6.1.0

=== debian/changelog ===
ironic (1:6.1.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:24:53 +0000

ironic (1:6.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Add upstream patch:
    - Fix-broken-unit-tests-for-get_ilo_object.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 23:06:38 +0200

ironic (1:6.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added new pt_BR.po Brazilian Portuguese debconf templates translation
    (Closes: #829340).
  * Rebase allow-any-pytz-version.patch. Add allow-any-fixtures-version.patch.
  * Using oslo-config-generator directly.
  * Switching to openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 22:44:18 +0200

ironic (1:5.1.2-2) unstable; urgency=medium

  * Using upstream config generator shell script to generate ironic.conf,
    instead of using (broken) sample file. (Closes: #828897)

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 20:28:00 +0000

=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 52~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-amqplib,
                     python-automaton,
                     python-babel (>= 2.3.4),
                     python-bashate,
                     python-coverage,
                     python-doc8,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-glanceclient (>= 1:2.0.0),
                     python-greenlet,
                     python-hacking (>= 0.10.0),
                     python-ironic-lib (>= 2.0.0),
                     python-ironicclient (>= 1.6.0),
                     python-iso8601 (>= 0.1.11),
                     python-jinja2 (>= 2.8),
                     python-jsonpatch,
                     python-jsonschema,
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 2.0),
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:4.2.0),
                     python-os-testr (>= 0.7.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.4.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslo.versionedobjects (>= 1.13.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 2.0),
                     python-pecan (>= 1.0.0),
                     python-pil,
                     python-proliantutils (>= 2.1.7),
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pyghmi (>= 0.8.0),
                     python-pymysql,
                     python-pysnmp4,
                     python-requests (>= 2.10.0),
                     python-retrying,
                     python-seamicroclient (>= 0.4.0),
                     python-sendfile,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-pecanwsme,
                     python-sphinxcontrib.seqdiag,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-tz,
                     python-webob,
                     python-webtest,
                     python-wsme (>= 0.8),
                     subunit,
                     testrepository,
                     websockify (>= 0.8.0),
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-ironic?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-ironic -b debian/newton
Homepage: https://github.com/openstack/ironic

Package: python-ironic
Architecture: all
Section: python
Depends: alembic (>= 0.8.4),
         python-amqplib,
         python-automaton,
         python-eventlet (>= 0.18.4),
         python-futurist (>= 0.11.0),
         python-glanceclient (>= 1:2.0.0),
         python-greenlet,
         python-ironic-lib (>= 2.0.0),
         python-jinja2 (>= 2.8),
         python-jsonpatch,
         python-jsonschema,
         python-keystoneauth1 (>= 2.10.0),
         python-keystonemiddleware (>= 4.0.0),
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:4.2.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-oslo.versionedobjects (>= 1.13.0),
         python-paramiko (>= 2.0),
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-proliantutils (>= 2.1.7),
         python-psutil,
         python-psycopg2 (>= 2.5),
         python-pyghmi (>= 0.8.0),
         python-pymysql,
         python-pysnmp4,
         python-requests (>= 2.10.0),
         python-retrying,
         python-seamicroclient (>= 0.4.0),
         python-sendfile,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-swiftclient (>= 1:2.2.0),
         python-tz,
         python-webob,
         python-wsme (>= 0.8),
         websockify (>= 0.8.0),
         ${misc:Depends},
         ${python:Depends},
Conflicts: python-cjson,
Recommends: python-scciclient (>= 0.2.0),
Description: bare metal hypervisor API for OpenStack - Python lib
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Python library.

Package: ironic-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         ipmitool,
         python-ironic (= ${binary:Version}),
         sudo,
         sqlite3,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: bare metal hypervisor API for OpenStack - common files
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic common files.

Package: ironic-api
Architecture: all
Depends: ironic-common,
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: bare metal hypervisor API for OpenStack - API server
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic API server. The ironic-api service provides a
 RESTful API that supports JSON and XML.

Package: ironic-conductor
Architecture: all
Depends: ironic-common,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: bare metal hypervisor API for OpenStack - conductor
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Conductore service. It is used to shield
 database access.

Package: ironic-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: bare metal hypervisor API for OpenStack - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic documentation.

## ironic 6.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.4 # MIT
automaton>=0.5.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
WebOb>=1.2.3 # MIT
greenlet>=0.3.2 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
paramiko>=2.0 # LGPLv2.1+
python-neutronclient>=5.1.0 # Apache-2.0
python-glanceclient!=2.4.0,>=2.3.0 # Apache-2.0
keystoneauth1>=2.10.0 # Apache-2.0
ironic-lib>=2.0.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
pytz>=2013.6 # MIT
stevedore>=1.16.0 # Apache-2.0
pysendfile>=2.0.0 # MIT
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,>=1.0.0 # BSD
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
jsonpatch>=1.1 # BSD
WSME>=0.8 # MIT
Jinja2>=2.8 # BSD License (3 clause)
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
oslo.versionedobjects>=1.13.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
psutil<2.0.0,>=1.1.1 # BSD
futurist!=0.15.0,>=0.11.0 # Apache-2.0

=== debian/changelog ===
ironic (1:6.2.0-3) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858701).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:38:52 +0200

ironic (1:6.2.0-2) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 11:32:07 +0100

ironic (1:6.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Fixed oslotest EPOCH.
  * Removed Fix-broken-unit-tests-for-get_ilo_object.patch applied upstream.
  * Rebased requirements patches.
  * Also package Ironic's install-guide
  * Fixed config file generation namespaces.
  * Black list failing unit tests:
    - test_keystone.KeystoneLegacyTestCase.test_legacy_loading_new_in_legacy

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:28:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools (>= 54~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -22,9 +22,9 @@
                      python-eventlet (>= 0.18.4),
                      python-fixtures (>= 3.0.0),
                      python-futurist (>= 0.11.0),
-                     python-glanceclient (>= 1:2.0.0),
+                     python-glanceclient (>= 1:2.3.0),
                      python-greenlet,
-                     python-hacking (>= 0.10.0),
+                     python-hacking (>= 0.11.0),
                      python-ironic-lib (>= 2.0.0),
                      python-ironicclient (>= 1.6.0),
                      python-iso8601 (>= 0.1.11),
@@ -35,13 +35,14 @@
                      python-keystonemiddleware (>= 4.0.0),
                      python-mock (>= 2.0),
                      python-mysqldb,
-                     python-netaddr (>= 0.7.12),
-                     python-neutronclient (>= 1:4.2.0),
+                     python-netaddr (>= 0.7.13),
+                     python-neutronclient (>= 1:5.1.0),
+                     python-openstackdocstheme (>= 1.5.0),
                      python-os-testr (>= 0.7.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.4.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 2.0.0),
                      python-oslo.messaging (>= 5.2.0),
@@ -53,7 +54,7 @@
                      python-oslo.utils (>= 3.16.0),
                      python-oslo.versionedobjects (>= 1.13.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-paramiko (>= 2.0),
                      python-pecan (>= 1.0.0),
                      python-pil,
@@ -81,7 +82,6 @@
                      python-wsme (>= 0.8),
                      subunit,
                      testrepository,
-                     websockify (>= 0.8.0),
 Standards-Version: 3.9.8
 Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-ironic?h=debian%2Fnewton
 Vcs-Git: https://git.openstack.org/openstack/deb-ironic -b debian/newton
@@ -95,7 +95,7 @@
          python-automaton,
          python-eventlet (>= 0.18.4),
          python-futurist (>= 0.11.0),
-         python-glanceclient (>= 1:2.0.0),
+         python-glanceclient (>= 1:2.3.0),
          python-greenlet,
          python-ironic-lib (>= 2.0.0),
          python-jinja2 (>= 2.8),
@@ -103,12 +103,12 @@
          python-jsonschema,
          python-keystoneauth1 (>= 2.10.0),
          python-keystonemiddleware (>= 4.0.0),
-         python-netaddr (>= 0.7.12),
-         python-neutronclient (>= 1:4.2.0),
+         python-netaddr (>= 0.7.13),
+         python-neutronclient (>= 1:5.1.0),
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.4.0),
-         python-oslo.db (>= 4.1.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 2.0.0),
          python-oslo.messaging (>= 5.2.0),
@@ -139,7 +139,6 @@
          python-tz,
          python-webob,
          python-wsme (>= 0.8),
-         websockify (>= 0.8.0),
          ${misc:Depends},
          ${python:Depends},
 Conflicts: python-cjson,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -f debian/ironic-common.config debian/ironic-common.postinst debian/ironic-api.postinst debian/ironic-api.config
	rm -rf doc/build
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.postinst

override_dh_auto_install:
	python setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	mkdir -p $(CURDIR)/debian/ironic-common/usr/share/ironic-common
	PYTHONPATH=$(CURDIR)/debian/tmp oslo-config-generator --output-file $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf \
		--wrap-width 140 \
		--namespace ironic \
		--namespace ironic_lib.disk_utils \
		--namespace ironic_lib.disk_partitioner \
		--namespace ironic_lib.metrics \
		--namespace ironic_lib.metrics_statsd
		--namespace ironic_lib.utils \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.concurrency \
		--namespace oslo.policy \
		--namespace oslo.log \
		--namespace oslo.service.service \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutils \
		--namespace keystonemiddleware.auth_token
	sed -i 's|#connection=<None>|connection=sqlite:////var/lib/ironic/ironicdb|' $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf
	set -e ; for pyvers in $(PYTHONS); do \
		cp -rf ironic/db/sqlalchemy/alembic $(CURDIR)/debian/tmp/usr/lib/python$$pyvers/dist-packages/ironic/db/sqlalchemy ; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit --parallel 'ironic\.tests\.unit\.(?!.*common\.test_keystone\.KeystoneLegacyTestCase\.test_legacy_loading_new_in_legacy.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) sphinx-build -a -b html doc/source $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/dev-doc-html
## This is a workaround to avoid FTBFS, though a real fix should be found.
	mkdir -p $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/dev-doc-html/_static
	touch $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/dev-doc-html/_static/toggle.js
	rm $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/dev-doc-html/search.html

	PYTHONPATH=$(CURDIR) sphinx-build -a -b html install-guide/source $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/install-guide-html
	rm $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/install-guide-html/search.html

	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## ironic 6.2.1

=== debian/changelog ===
ironic (1:6.2.1-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 13:40:20 -0400

ironic (1:6.2.0-0ubuntu2) yakkety; urgency=medium

  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).
  * d/control: Drop os-api-ref from BDs as it's not needed for package builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Sep 2016 11:43:59 -0400

ironic (1:6.2.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/set_config_defaults.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:27:19 -0400

ironic (1:6.1.0-0ubuntu4) yakkety; urgency=medium

  * d/ironic-common.postinst: Ensure correct ownership of /var/lib/ironic
    prior to creation of sqlite database.
  * d/control,d/tests/*: Add basic install autopkgtest.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Sep 2016 21:31:05 +0100

ironic (1:6.1.0-0ubuntu3) yakkety; urgency=medium

  * d/ironic-common.postinst: Ensure dbsync gets run as ironic, avoiding
    log files owned by root user (LP: #1450942).
  * d/control: Fixup typo in 'libaries' (LP: #1451139).

 -- James Page <james.page@ubuntu.com>  Thu, 08 Sep 2016 12:33:17 +0100

ironic (1:6.1.0-0ubuntu2) yakkety; urgency=medium

  * d/control: Add ipmitool to Depends of ironic-conductor (LP: #1572800).

 -- James Page <james.page@ubuntu.com>  Thu, 08 Sep 2016 11:28:47 +0100

ironic (1:6.1.0-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/control: Bump minimum version requirements inline with upstream.

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 15:59:45 -0400

ironic (1:6.0.0-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/*: Refresh.

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests with ostestr.
  * d/p/set_config_defaults.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jul 2016 09:44:17 -0400

=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-automaton (>= 0.5.0),
                     python-babel (>= 2.3.4),
                     python-bashate (>= 0.2),
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-glanceclient (>= 1:2.3.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.11.0),
                     python-ironic-lib (>= 2.0.0),
                     python-ironicclient (>= 1.6.0),
                     python-iso8601 (>= 0.1.11),
                     python-jinja2 (>= 2.8),
                     python-jsonpatch (>= 1.1),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystoneclient (>= 1:1.7.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-openstackdocstheme (>= 1.5.0),
                     python-os-testr (>= 0.7.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.16.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslo.versionedobjects (>= 1.13.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-paramiko (>= 2.0),
                     python-pbr (>= 1.8),
                     python-pecan (>= 1.1.2),
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.6.2),
                     python-requests (>= 2.10.0),
                     python-retrying (>= 1.2.3),
                     python-sendfile (>= 2.0.0),
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-pecanwsme (>= 0.8),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-subunit (>= 0.0.18),
                     python-swiftclient (>= 1:2.2.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tz (>= 2013.6),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     python-wsme (>= 0.8),
                     subunit (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
XS-Testsuite: autopkgtest

Package: python-ironic
Architecture: all
Depends: alembic (>= 0.8.4),
         python-automaton (>= 0.5.0),
         python-eventlet (>= 0.18.2),
         python-futurist (>= 0.11.0),
         python-glanceclient (>= 1:2.3.0),
         python-greenlet (>= 0.3.2),
         python-ironic-lib (>= 2.0.0),
         python-jinja2 (>= 2.8),
         python-jsonpatch (>= 1.1),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 2.10.0),
         python-keystoneclient (>= 1:1.7.0),
         python-keystonemiddleware (>= 4.0.0),
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 1:5.1.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-oslo.versionedobjects (>= 1.13.0),
         python-paramiko (>= 2.0),
         python-pbr (>= 1.8),
         python-pecan (>= 1.1.2),
         python-psutil,
         python-pymysql (>= 0.6.2),
         python-requests (>= 2.10.0),
         python-retrying (>= 1.2.3),
         python-sendfile (>= 2.0.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-swiftclient (>= 1:2.2.0),
         python-tz (>= 2013.6),
         python-webob (>= 1.2.3),
         python-wsme (>= 0.8),
         ${misc:Depends},
         ${python:Depends},
Description: Openstack bare metal provisioning service - Python library
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the Python libraries.

Package: ironic-common
Architecture: all
Depends: adduser,
         psmisc,
         python-ironic (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Openstack bare metal provisioning service - daemons
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the common files.

Package: ironic-api
Architecture: all
Depends: ironic-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Openstack bare metal provisioning service - API
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the API.

Package: ironic-conductor
Architecture: all
Depends: ipmitool (>= 1.8.12),
         ironic-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Openstack bare metal provisioning service - conductor
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the conductor.

## ironic 7.0.0

=== debian/changelog ===
ironic (1:7.0.0-0ubuntu1) zesty; urgency=medium

  * debian/control: Add python-tooz 
  * New usptream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 14 Feb 2017 10:39:40 -0500

=== debian/control ===
--- 
+++ 
@@ -9,70 +9,66 @@
                python-all,
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: alembic (>= 0.8.4),
+Build-Depends-Indep: alembic (>= 0.8.10),
                      python-automaton (>= 0.5.0),
                      python-babel (>= 2.3.4),
                      python-bashate (>= 0.2),
-                     python-coverage (>= 3.6),
+                     python-coverage (>= 4.0),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
                      python-futurist (>= 0.11.0),
-                     python-glanceclient (>= 1:2.3.0),
-                     python-greenlet (>= 0.3.2),
-                     python-hacking (>= 0.11.0),
-                     python-ironic-lib (>= 2.0.0),
-                     python-ironicclient (>= 1.6.0),
+                     python-glanceclient (>= 1:2.5.0),
+                     python-hacking (>= 0.12.0),
+                     python-ironic-lib (>= 2.5.0),
+                     python-ironicclient (>= 1.11.0),
                      python-iso8601 (>= 0.1.11),
                      python-jinja2 (>= 2.8),
                      python-jsonpatch (>= 1.1),
                      python-jsonschema (>= 2.0.0),
-                     python-keystoneauth1 (>= 2.10.0),
-                     python-keystoneclient (>= 1:1.7.0),
-                     python-keystonemiddleware (>= 4.0.0),
+                     python-keystoneauth1 (>= 2.18.0),
+                     python-keystonemiddleware (>= 4.12.0),
                      python-mock (>= 2.0),
-                     python-netaddr (>= 0.7.13),
                      python-neutronclient (>= 1:5.1.0),
                      python-openstackdocstheme (>= 1.5.0),
-                     python-os-testr (>= 0.7.0),
+                     python-os-api-ref (>= 1.0.0),
+                     python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.10.0),
+                     python-oslo.db (>= 4.15.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.16.0),
-                     python-oslo.messaging (>= 5.2.0),
+                     python-oslo.log (>= 3.11.0),
+                     python-oslo.messaging (>= 5.14.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.9.0),
+                     python-oslo.policy (>= 1.17.0),
                      python-oslo.rootwrap (>= 5.0.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslo.versionedobjects (>= 1.13.0),
-                     python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.versionedobjects (>= 1.17.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1.10.0),
                      python-paramiko (>= 2.0),
-                     python-pbr (>= 1.8),
-                     python-pecan (>= 1.1.2),
-                     python-psutil,
+                     python-pecan (>= 1.0.0),
+                     python-psutil (>= 3.0.1),
                      python-psycopg2 (>= 2.5),
-                     python-pymysql (>= 0.6.2),
+                     python-pymysql (>= 0.7.6),
+                     python-sendfile (>= 2.0.0),
                      python-requests (>= 2.10.0),
                      python-retrying (>= 1.2.3),
-                     python-sendfile (>= 2.0.0),
                      python-six (>= 1.9.0),
                      python-sphinxcontrib-pecanwsme (>= 0.8),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.16.0),
-                     python-subunit (>= 0.0.18),
-                     python-swiftclient (>= 1:2.2.0),
+                     python-stevedore (>= 1.17.1),
+                     python-swiftclient (>= 1:3.2.0),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
+                     python-tooz (>= 1.47.0),
                      python-tz (>= 2013.6),
-                     python-webob (>= 1.2.3),
+                     python-webob (>= 1.6.0),
                      python-webtest (>= 2.0),
                      python-wsme (>= 0.8),
-                     subunit (>= 0.0.18),
 Standards-Version: 3.9.6
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
@@ -85,15 +81,12 @@
          python-eventlet (>= 0.18.2),
          python-futurist (>= 0.11.0),
          python-glanceclient (>= 1:2.3.0),
-         python-greenlet (>= 0.3.2),
          python-ironic-lib (>= 2.0.0),
          python-jinja2 (>= 2.8),
          python-jsonpatch (>= 1.1),
          python-jsonschema (>= 2.0.0),
          python-keystoneauth1 (>= 2.10.0),
-         python-keystoneclient (>= 1:1.7.0),
          python-keystonemiddleware (>= 4.0.0),
-         python-netaddr (>= 0.7.13),
          python-neutronclient (>= 1:5.1.0),
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
@@ -110,22 +103,22 @@
          python-oslo.utils (>= 3.16.0),
          python-oslo.versionedobjects (>= 1.13.0),
          python-paramiko (>= 2.0),
-         python-pbr (>= 1.8),
          python-pecan (>= 1.1.2),
          python-psutil,
          python-pymysql (>= 0.6.2),
+         python-sendfile (>= 2.0.0),
          python-requests (>= 2.10.0),
          python-retrying (>= 1.2.3),
-         python-sendfile (>= 2.0.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.16.0),
          python-swiftclient (>= 1:2.2.0),
+         python-tooz (>= 1.47.0),
          python-tz (>= 2013.6),
          python-webob (>= 1.2.3),
          python-wsme (>= 0.8),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Openstack bare metal provisioning service - Python library
  Ironic is an Incubated OpenStack project which aims to provision
  bare metal machines instead of virtual machines, forked from the
@@ -144,7 +137,7 @@
          psmisc,
          python-ironic (= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Openstack bare metal provisioning service - daemons
  Ironic is an Incubated OpenStack project which aims to provision
  bare metal machines instead of virtual machines, forked from the
@@ -161,7 +154,7 @@
 Architecture: all
 Depends: ironic-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Openstack bare metal provisioning service - API
  Ironic is an Incubated OpenStack project which aims to provision
  bare metal machines instead of virtual machines, forked from the
@@ -179,7 +172,7 @@
 Depends: ipmitool (>= 1.8.12),
          ironic-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Openstack bare metal provisioning service - conductor
  Ironic is an Incubated OpenStack project which aims to provision
  bare metal machines instead of virtual machines, forked from the
